# Generated by Django 3.1.2 on 2020-10-07 11:14

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        ('sites', '0002_alter_domain_unique'),
        ('auth', '0012_alter_user_first_name_max_length'),
        ('bigbluebutton', '0001_initial'),
    ]

    operations = [
        migrations.CreateModel(
            name='SitePreferenceModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('section', models.CharField(blank=True, db_index=True, default=None, max_length=150, null=True, verbose_name='Section Name')),
                ('name', models.CharField(db_index=True, max_length=150, verbose_name='Name')),
                ('raw_value', models.TextField(blank=True, null=True, verbose_name='Raw Value')),
                ('instance', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='sites.site')),
            ],
        ),
        migrations.CreateModel(
            name='MeetingURL',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(unique=True, verbose_name='URL name for the meeting')),
                ('default_role', models.CharField(choices=[('VIEWER', 'Viewer'), ('MODERATOR', 'Moderator')], max_length=9, verbose_name='Default role for unauthenticated users')),
                ('attendee_pw', models.CharField(blank=True, help_text='Password used to gain additional viewer permissions', max_length=50, verbose_name='Attendee password')),
                ('moderator_pw', models.CharField(blank=True, help_text='Password used to gain additional moderator permissions', max_length=50, verbose_name='Moderator password')),
                ('meeting', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='urls', to='bigbluebutton.meeting', verbose_name='Meeting')),
            ],
        ),
        migrations.CreateModel(
            name='GroupPreferenceModel',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('section', models.CharField(blank=True, db_index=True, default=None, max_length=150, null=True, verbose_name='Section Name')),
                ('name', models.CharField(db_index=True, max_length=150, verbose_name='Name')),
                ('raw_value', models.TextField(blank=True, null=True, verbose_name='Raw Value')),
                ('instance', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='auth.group')),
            ],
        ),
    ]
